Subject: Re: [PATCH net-next] ieee802154: fix variable declaration and initializer

From: Jean Sacren <[email-masked]>
Date: Tue, 18 Mar 2014 22:31:54 -0600

From: Eric Dumazet <[email-masked]>
Date: Tue, 18 Mar 2014 20:32:21 -0700
>
> On Tue, 2014-03-18 at 21:19 -0600, Jean Sacren wrote:
> 
> > 2) Fix the initializer by deleting the double logical negation
> >    operators as they don't serve any purpose.
> > 
> ...
> >  
> >  static int phy_set_lbt(struct wpan_phy *phy, struct genl_info *info)
> >  {
> > -	u8 on = !!nla_get_u8(info->attrs[IEEE802154_ATTR_LBT_ENABLED]);
> 
> You do realize !!(a) is not equivalent to (a) ?

I admire you for your knowledge and skill. With the double logical
negation operation hereof, I do know what I'm doing.

Thank you,

-- 
Jean Sacren